# uses twitter API to query @projectglass tweets to find all accepted people into #ifihadglass

import tweepy
import sys
from tweetutils import *
import cPickle as pickle
import os.path

api= authenticate()
numLatestTweetsParse = 2000

# see if we have a database of tweets from projectglass already built up, and use it if we do
if not os.path.isfile("glasswinners.p"):
	pickle.dump([], open("glasswinners.p", "wb")) # create it
tweets = pickle.load( open( "glasswinners.p", "rb" ) )
idshave = [x.in_reply_to_status_id_str for x in tweets]
print "Loaded database of %d tweets..." % (len(tweets), )

print "querying..."
added = 0
try:
	#tweets = api.user_timeline("projectglass", count=200) #only single request, up to 200 items
	for s in tweepy.Cursor(api.user_timeline, screen_name="projectglass").items(numLatestTweetsParse):
		if s.in_reply_to_status_id_str in idshave:
			print "already have %s" % (s.in_reply_to_status_id_str, )
		else:
			print "adding %s" % (s.in_reply_to_status_id_str, )
			tweets.append(s)
			added+=1
except Exception, e:
	print e
	print "oops, error :p"
	pass

pickle.dump(tweets, open("glasswinners.p", "wb"))
tweets_filt = [t for t in tweets if "Woohoo" in t.text] # filter down to tweets that give confirmation
print "added %d new tweets that weren't seen before" % (added, )
print "saved all %d tweets to glasswinners.p pickle. %d appear to be winners." % (len(tweets), len(tweets_filt))

